*** a/pgadmin/include/utils/sysSettings.h
--- b/pgadmin/include/utils/sysSettings.h
***************
*** 716,730 **** public:
  	// Functions for storing settings
  	bool Write(const wxString &key, const wxString &value)
  	{
! 		return wxConfig::Write(key, value);
  	}
  	bool WriteLong(const wxString &key, long value)
  	{
! 		return wxConfig::Write(key, value);
  	}
  	bool WriteInt(const wxString &key, int value)
  	{
! 		return wxConfig::Write(key, value);
  	}
  	bool WriteBool(const wxString &key, bool value);
  	bool WritePoint(const wxString &key, const wxPoint &value);
--- 716,736 ----
  	// Functions for storing settings
  	bool Write(const wxString &key, const wxString &value)
  	{
! 		bool b = wxConfig::Write(key, value);
! 		wxConfig::Flush();
! 		return b;
  	}
  	bool WriteLong(const wxString &key, long value)
  	{
! 		bool b = wxConfig::Write(key, value);
! 		wxConfig::Flush();
! 		return b;
  	}
  	bool WriteInt(const wxString &key, int value)
  	{
! 		bool b = wxConfig::Write(key, value);
! 		wxConfig::Flush();
! 		return b;
  	}
  	bool WriteBool(const wxString &key, bool value);
  	bool WritePoint(const wxString &key, const wxPoint &value);
*** a/pgadmin/utils/sysSettings.cpp
--- b/pgadmin/utils/sysSettings.cpp
***************
*** 406,423 **** bool sysSettings::WriteBool(const wxString &key, bool value)
  // Write a point value
  bool sysSettings::WritePoint(const wxString &key, const wxPoint &value)
  {
! 	bool rc = wxConfig::Write(key + wxT("/Left"), value.x);
  	if (rc)
! 		rc = wxConfig::Write(key + wxT("/Top"), value.y);
  	return rc;
  }
  
  // Write a size value
  bool sysSettings::WriteSize(const wxString &key, const wxSize &value)
  {
! 	bool rc = wxConfig::Write(key + wxT("/Width"), value.x);
  	if (rc)
! 		rc = wxConfig::Write(key + wxT("/Height"), value.y);
  	return rc;
  }
  
--- 406,423 ----
  // Write a point value
  bool sysSettings::WritePoint(const wxString &key, const wxPoint &value)
  {
! 	bool rc = WriteInt(key + wxT("/Left"), value.x);
  	if (rc)
! 		rc = WriteInt(key + wxT("/Top"), value.y);
  	return rc;
  }
  
  // Write a size value
  bool sysSettings::WriteSize(const wxString &key, const wxSize &value)
  {
! 	bool rc = WriteInt(key + wxT("/Width"), value.x);
  	if (rc)
! 		rc = WriteInt(key + wxT("/Height"), value.y);
  	return rc;
  }
  